{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/LinkEndDataImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/LinkEndDataImpl.basicGetValue()Lorg/eclipse/uml2/uml/InputPin;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/LinkEndDataImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/LinkEndDataImpl.getValue()Lorg/eclipse/uml2/uml/InputPin;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/LinkEndDataImpl.basicGetEnd()Lorg/eclipse/uml2/uml/Property;": 2,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/LinkEndDataImpl.getQualifiers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/LinkEndDataImpl.getEnd()Lorg/eclipse/uml2/uml/Property;": 2
  }
}